Create work
curl --request POST \
--url https://useorgx.com/api/v1/work \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"title": "Review the launch plan"
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({title: 'Review the launch plan'})
};
fetch('https://useorgx.com/api/v1/work', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://useorgx.com/api/v1/work"
payload = { "title": "Review the launch plan" }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"taskId": "7fbb727d-17c4-4bc7-9fc7-60eb15e9314d",
"receiptId": "7ab98058-f221-49cc-8aa4-d3d8040249b8",
"eventId": "405a3742-f821-4147-b527-91c79b676967",
"aggregateVersion": 1,
"eventHash": "sha256:a000000000000000000000000000000000000000000000000000000000000000",
"duplicate": false,
"task": {
"id": "7fbb727d-17c4-4bc7-9fc7-60eb15e9314d",
"title": "Review the launch plan",
"status": "todo",
"updated_at": "2026-08-18T18:30:00.000Z"
},
"receipt": {
"id": "7ab98058-f221-49cc-8aa4-d3d8040249b8",
"status": "completed",
"summary": "Review the launch plan"
}
},
"meta": {
"apiVersion": "1",
"workspaceId": "5be1076d-8fd0-4c0f-847f-fd67fdb935e8",
"duplicate": false
}
}{
"data": {
"taskId": "7fbb727d-17c4-4bc7-9fc7-60eb15e9314d",
"receiptId": "7ab98058-f221-49cc-8aa4-d3d8040249b8",
"eventId": "405a3742-f821-4147-b527-91c79b676967",
"aggregateVersion": 1,
"eventHash": "sha256:a000000000000000000000000000000000000000000000000000000000000000",
"duplicate": false,
"task": {
"id": "7fbb727d-17c4-4bc7-9fc7-60eb15e9314d",
"title": "Review the launch plan",
"status": "todo",
"updated_at": "2026-08-18T18:30:00.000Z"
},
"receipt": {
"id": "7ab98058-f221-49cc-8aa4-d3d8040249b8",
"status": "completed",
"summary": "Review the launch plan"
}
},
"meta": {
"apiVersion": "1",
"workspaceId": "5be1076d-8fd0-4c0f-847f-fd67fdb935e8",
"duplicate": false
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}REST API v1 Reference
Create work
Create a visible work item with one required body field.
POST
/
work
Create work
curl --request POST \
--url https://useorgx.com/api/v1/work \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"title": "Review the launch plan"
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({title: 'Review the launch plan'})
};
fetch('https://useorgx.com/api/v1/work', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://useorgx.com/api/v1/work"
payload = { "title": "Review the launch plan" }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"taskId": "7fbb727d-17c4-4bc7-9fc7-60eb15e9314d",
"receiptId": "7ab98058-f221-49cc-8aa4-d3d8040249b8",
"eventId": "405a3742-f821-4147-b527-91c79b676967",
"aggregateVersion": 1,
"eventHash": "sha256:a000000000000000000000000000000000000000000000000000000000000000",
"duplicate": false,
"task": {
"id": "7fbb727d-17c4-4bc7-9fc7-60eb15e9314d",
"title": "Review the launch plan",
"status": "todo",
"updated_at": "2026-08-18T18:30:00.000Z"
},
"receipt": {
"id": "7ab98058-f221-49cc-8aa4-d3d8040249b8",
"status": "completed",
"summary": "Review the launch plan"
}
},
"meta": {
"apiVersion": "1",
"workspaceId": "5be1076d-8fd0-4c0f-847f-fd67fdb935e8",
"duplicate": false
}
}{
"data": {
"taskId": "7fbb727d-17c4-4bc7-9fc7-60eb15e9314d",
"receiptId": "7ab98058-f221-49cc-8aa4-d3d8040249b8",
"eventId": "405a3742-f821-4147-b527-91c79b676967",
"aggregateVersion": 1,
"eventHash": "sha256:a000000000000000000000000000000000000000000000000000000000000000",
"duplicate": false,
"task": {
"id": "7fbb727d-17c4-4bc7-9fc7-60eb15e9314d",
"title": "Review the launch plan",
"status": "todo",
"updated_at": "2026-08-18T18:30:00.000Z"
},
"receipt": {
"id": "7ab98058-f221-49cc-8aa4-d3d8040249b8",
"status": "completed",
"summary": "Review the launch plan"
}
},
"meta": {
"apiVersion": "1",
"workspaceId": "5be1076d-8fd0-4c0f-847f-fd67fdb935e8",
"duplicate": false
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}Authorizations
bearerAuthcookieAuth
OrgX API key, sent as Authorization: Bearer oxk_...
Headers
Workspace-scoped retry key for safe mutation replay.
Required string length:
1 - 200Pattern:
^[A-Za-z0-9][A-Za-z0-9._:/-]{0,199}$Body
application/json
Send a title to use the workspace Inbox. Supply all three hierarchy IDs together only when you need explicit placement.
Required string length:
1 - 240Maximum string length:
4000Available options:
low, medium, high, urgent Required range:
x >= 0